const ProtocolAction = require('./_base-action.js');

/**
 * Retrieve or delete all cookies visible to the current page or set a cookie. Normally this shouldn't be used directly, instead the cookie convenience methods should be used: <code>getCookie</code>, <code>getCookies</code>, <code>setCookie</code>, <code>deleteCookie</code>, <code>deleteCookies</code>.
 *
 * @link /#cookies
 * @param {string} method Http method
 * @param {function|object} [callbackOrCookie] Optional callback function to be called when the command finishes.
 * @see getCookies
 * @see getCookie
 * @see setCookie
 * @see deleteCookie
 * @see deleteCookies
 * @api protocol.cookies
 */
module.exports = class Debugger extends ProtocolAction {
  async command(element) {
    // await this.api.executeScript(function() {
    //   debugger;
    // });


    await this.api.pause(1000);

    await this.api.perform(function() {
      const actions = this.actions();

      //return actions.contextClick();
      return actions
        .keyDown(this.Keys.META)
        .keyDown(this.Keys.ALT)
        .keyDown('c')
        .keyUp('c')
        .keyUp(this.Keys.ALT)
        .keyUp(this.Keys.META)
    });

    await this.api.pause(5000);

    if (element) {
      await this.api.moveToElement(element, 10, 10, function(result) {
        console.log('RESULT', result)

        return result;
      });
    }

    await this.api.perform(function() {
      const actions = this.actions({bridge: true});

      //return actions.contextClick();
      return actions
        .keyDown(this.Keys.SHIFT)
        .press(2)
        .keyUp(this.Keys.SHIFT)
        .release(2)
    });

    await this.api.pause(1000)
      .perform(function() {
        const actions = this.actions({bridge: true});

        return actions.sendKeys(this.Keys.ARROW_UP)
          //.sendKeys(this.Keys.ARROW_UP)
      });

    //.pause(200).sendKeys(this.Keys.ARROW_UP).sendKeys(this.Keys.RETURN)

    await this.api.pause();

  }
};
